org.apache.tinkerpop.gremlin.process.traversal.strategy.finalization

## Class LazyBarrierStrategy

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy<TraversalStrategy.FinalizationStrategy>
  - - org.apache.tinkerpop.gremlin.process.traversal.strategy.finalization.LazyBarrierStrategy

- All Implemented Interfaces:
    Serializable, Comparable<Class<? extends TraversalStrategy>>, TraversalStrategy<TraversalStrategy.FinalizationStrategy>, TraversalStrategy.FinalizationStrategy

  Deprecated.
  As of release 3.2.3. Please use `LazyBarrierStrategy`.

      @Deprecated
      public final class LazyBarrierStrategy
      extends AbstractTraversalStrategy<TraversalStrategy.FinalizationStrategy>
      implements TraversalStrategy.FinalizationStrategy

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `MAX_BARRIER_SIZE` Deprecated.

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Traversal.Admin<?,?> traversal)` Deprecated.
    `Set<Class<? extends TraversalStrategy.FinalizationStrategy>>` | `applyPost()` Deprecated. The set of strategies that must be executed after this strategy is executed.
    `Set<Class<? extends TraversalStrategy.FinalizationStrategy>>` | `applyPrior()` Deprecated. The set of strategies that must be executed before this strategy is executed.
    `static LazyBarrierStrategy` | `instance()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy.FinalizationStrategy

      `compareTo, getTraversalCategory`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `getConfiguration`

- - ### Field Detail

    - #### MAX_BARRIER_SIZE

          protected static final int MAX_BARRIER_SIZE

      Deprecated.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### apply

          public void apply(Traversal.Admin<?,?> traversal)

      Deprecated.
      Specified by:
        `apply` in interface `TraversalStrategy<TraversalStrategy.FinalizationStrategy>`

    - #### applyPrior

          public Set<Class<? extends TraversalStrategy.FinalizationStrategy>> applyPrior()

      Deprecated.
      Description copied from interface: `TraversalStrategy`
      The set of strategies that must be executed before this strategy is executed. If there are no ordering requirements, the default implementation returns an empty set.
      Specified by:
        `applyPrior` in interface `TraversalStrategy<TraversalStrategy.FinalizationStrategy>`
      Returns:
        the set of strategies that must be executed prior to this one.

    - #### applyPost

          public Set<Class<? extends TraversalStrategy.FinalizationStrategy>> applyPost()

      Deprecated.
      Description copied from interface: `TraversalStrategy`
      The set of strategies that must be executed after this strategy is executed. If there are no ordering requirements, the default implementation returns an empty set.
      Specified by:
        `applyPost` in interface `TraversalStrategy<TraversalStrategy.FinalizationStrategy>`
      Returns:
        the set of strategies that must be executed post this one

    - #### instance

          public static LazyBarrierStrategy instance()

      Deprecated.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.